@import 'css/_variables.scss';

$modal-padding-inline: 69px;

.modal {
  :global {
    .ant-modal-confirm-content {
      margin-top: 16px;
    }

    .ant-modal-confirm-btns {
      display: none;
    }

    .ant-modal-body {
      padding-inline: 0;
    }

    .ant-modal-content {
      box-shadow: 0 0 12px 0 rgba(94, 94, 94, 0.25);
    }
  }
}

.titleContainer {
  text-align: center;
  display: flex;
  flex-direction: column;
  row-gap: 1rem;
  padding-inline: $modal-padding-inline;
}

.contentContainer {
  &__description {
    white-space: pre-line;
    text-align: center;
    color: $coa-grey-100;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.125rem;
    padding-inline: $modal-padding-inline;
  }

  &__downloadButton {
    margin-inline: auto;
    margin-top: 1rem;
    width: 11.75rem;
    height: 2.5rem;
    padding-inline: $modal-padding-inline;
  }
}

.cancelButton {
  display: none;
}

.dividerContainer {
  margin-block: 24px;
  width: 100%;
  padding-inline: $modal-padding-inline;

  &__divider {
    background: $coa-grey-100;
    height: 0.0625rem;
  }
}
